Subject: [PATCH] lib/decompress_unxz.c: removing all memory helper functions

From: [email-masked] (H. Peter Anvin)
Date: Fri, 01 Jun 2012 11:46:24 -0700

On 06/01/2012 11:37 AM, Thavatchai Makphaibulcboke wrote:
> On 05/31/2012 09:38 PM, H. Peter Anvin wrote:
>> We could always make a source code library, like we already in effect
>> have for the compression functions themselves.
>>
>> 	-hpa
>>
> 
> Thanks for the suggestion and comment.  I guess we could add a new
> directory with a new file under arch, such as arch/lib/mem.c and use the
> source include similar to the compression.
> 

Well, the decompression stuff is under lib/ ... maybe lib/boot/ or
something like that...

	-hpa

-- 
H. Peter Anvin, Intel Open Source Technology Center
I work for Intel.  I don't speak on their behalf.